#
# spec file for package python-puremagic
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-puremagic
Version:        1.29
Release:        1.1
Summary:        Pure python implementation of magic file detection
License:        MIT
URL:            https://github.com/cdgriffith/puremagic
Source:         https://files.pythonhosted.org/packages/source/p/puremagic/puremagic-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Pure python implementation of magic file detection

%prep
%autosetup -p1 -n puremagic-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc AUTHORS.rst CHANGELOG.md README.rst
%license LICENSE
%{python_sitelib}/puremagic
%{python_sitelib}/puremagic-%{version}.dist-info

%changelog
* Sun May  4 2025 Dirk Müller <dmueller@suse.com>
- update to 1.29:
  * Changing to publishing to pypi with Python 3.9
  * Fixing #105 fsspec/gcsfs throws an ValueError instead of a
    OSError (thanks to Markus)
  * Fixing github actions due to updates
* Sun Nov  3 2024 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Wed Oct 23 2024 Dirk Müller <dmueller@suse.com>
- Initial package (1.28)
